com.lowagie.toolbox.arguments.filters

## Class PdfFilter

- java.lang.Object
- - javax.swing.filechooser.FileFilter
  - - com.lowagie.toolbox.arguments.filters.PdfFilter

-     public class PdfFilter
      extends javax.swing.filechooser.FileFilter

  Filters PDF files in a JFileChooser.
  Since:
    2.1.1 (imported from itexttoolbox project)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(java.io.File f)`
    `java.lang.String` | `getDescription()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PdfFilter

          public PdfFilter()

  - ### Method Detail

    - #### accept

          public boolean accept(java.io.File f)

      Specified by:
        `accept` in class `javax.swing.filechooser.FileFilter`
      Parameters:
        `f` - File
      Returns:
        boolean
      See Also:
        `FileFilter.accept(java.io.File)`

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in class `javax.swing.filechooser.FileFilter`
      Returns:
        String
      See Also:
        `FileFilter.getDescription()`